Subject: Re: [PATCH ] ethtool: Remove duplex info from CTRL register dump

From: Jeff Garzik <[email-masked]>
Date: Tue, 17 Jan 2006 08:08:47 -0500

Jeff Kirsher wrote:
> The duplex control register is used for setting the driver and is not
> necessary for debug purposes.  The value of the duplex control register is
> what the register's current value is and may not reflect the correct status
> of te current connection.  That is what the duplex status register is used
> for.  To keep from confusing the user, we are removing the duplex register
> from the ethtool dump of the registers.
> 
> Signed-off-by: Jeff Kirsher <[email-masked]>
> Signed-off-by: Jesse Brandeburg <[email-masked]>
> Signed-off-by: John Ronciak <[email-masked]>

applied, after replacing "ethtool:" with "e1000:" in the subject line.

	Jeff